.swap {
  position: relative;
}
.swap .mask {
  max-width: 100%;
  overflow: hidden;
}
.swap .list > .item {
  box-sizing: border-box;
  vertical-align: middle;
}
.swap input[type=radio],
.swap input[type=checkbox] {
  visibility: hidden;
  opacity: 0;
  z-index: -1;
  display: none;
  position: absolute;
  z-index: -1;
}
.swap .btn, .swap label {
  user-select: none;
}
.swap .btn {
  cursor: pointer;
  margin: initial;
}
.swap .btn .label {
  font-weight: initial;
}
.swap .nav-btn, .swap .nav-dots {
  visibility: hidden;
  opacity: 0;
  display: flex;
  text-align: center;
  vertical-align: middle;
}
.swap .nav-btn {
  position: absolute;
  display: block;
  top: 50%;
  width: 100%;
}
.swap .nav-btn .btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}
.swap .nav-btn .btn.btn-before {
  left: 0;
}
.swap .nav-btn .btn.btn-next {
  right: 0;
}
.swap.set-nav-btn-before .nav-btn, .swap.set-nav-btn-next .nav-btn {
  visibility: visible;
  opacity: 1;
  display: block;
}

.swap-register.item-1:not(.set-vertical) > .nav > .btn {
  width: 100%;
}
.swap-register.item-1 > .mask > .list {
  width: 100%;
}
.swap-register.item-1 > .mask > .list > .item {
  width: 100%;
}
.swap-register.item-2:not(.set-vertical) > .nav > .btn {
  width: 50%;
}
.swap-register.item-2 > .mask > .list {
  width: 200%;
}
.swap-register.item-2 > .mask > .list > .item {
  width: 50%;
}
.swap-register.item-3:not(.set-vertical) > .nav > .btn {
  width: 33.3333333333%;
}
.swap-register.item-3 > .mask > .list {
  width: 300%;
}
.swap-register.item-3 > .mask > .list > .item {
  width: 33.3333333333%;
}
.swap-register.item-4:not(.set-vertical) > .nav > .btn {
  width: 25%;
}
.swap-register.item-4 > .mask > .list {
  width: 400%;
}
.swap-register.item-4 > .mask > .list > .item {
  width: 25%;
}
.swap-register.item-5:not(.set-vertical) > .nav > .btn {
  width: 20%;
}
.swap-register.item-5 > .mask > .list {
  width: 500%;
}
.swap-register.item-5 > .mask > .list > .item {
  width: 20%;
}
.swap-register > .radio-1:checked ~ .mask > .list > .item.item-1 {
  visibility: visible;
  opacity: 1;
  max-height: none;
  order: 1;
}
.swap-register > .radio-2:checked ~ .mask > .list > .item.item-2 {
  visibility: visible;
  opacity: 1;
  max-height: none;
  order: 1;
}
.swap-register > .radio-3:checked ~ .mask > .list > .item.item-3 {
  visibility: visible;
  opacity: 1;
  max-height: none;
  order: 1;
}
.swap-register > .radio-4:checked ~ .mask > .list > .item.item-4 {
  visibility: visible;
  opacity: 1;
  max-height: none;
  order: 1;
}
.swap-register > .radio-5:checked ~ .mask > .list > .item.item-5 {
  visibility: visible;
  opacity: 1;
  max-height: none;
  order: 1;
}
.swap-register > .radio-1:checked ~ .nav > .btn-1 {
  color: #DFA929;
  background-color: #e6bb55;
}
.swap-register > .radio-2:checked ~ .nav > .btn-2 {
  color: #DFA929;
  background-color: #e6bb55;
}
.swap-register > .radio-3:checked ~ .nav > .btn-3 {
  color: #DFA929;
  background-color: #e6bb55;
}
.swap-register > .radio-4:checked ~ .nav > .btn-4 {
  color: #DFA929;
  background-color: #e6bb55;
}
.swap-register > .radio-5:checked ~ .nav > .btn-5 {
  color: #DFA929;
  background-color: #e6bb55;
}
.swap-register > .mask {
  border: 0;
}
.swap-register > .nav > .btn {
  border: 0;
  padding: 0;
  text-align: left;
  color: #bfbfbf;
  background-color: transparent;
}
.swap-register > .nav > .btn .icon {
  text-align: left;
  display: inline-block;
  vertical-align: top;
}
.swap-register > .nav > .btn .title-wrapper {
  display: inline-block;
  max-width: calc(100% - 4rem);
  text-align: left;
  line-height: 1.5rem;
  margin-top: 0.25rem;
}
.swap-register > .nav > .btn .title-wrapper .sub {
  font-size: 0.75rem;
  display: block;
  line-height: 1rem;
}
.swap-register > .nav > .btn .title-wrapper .title {
  font-size: 1.25rem;
}
.swap-register .item-inner {
  padding: 1rem;
}
.swap-register .item-inner > .title {
  font-size: 0.875rem;
  color: #bfbfbf;
  display: inline-block;
}
.swap-register .collection {
  filter: none;
  padding: 0;
  margin-bottom: 4.063rem;
}
.swap-register .set-active-nav {
  color: #DFA929;
}
.swap-register .set-active-nav-btn {
  border-bottom-color: #f6e7c4;
  background-color: #ffffff;
}
.swap-register > .mask > .list {
  display: flex;
}
.swap-register > .mask > .list > .item {
  visibility: hidden;
  opacity: 0;
  order: 1000;
  max-height: 0;
}
.swap-register > .nav > .btn {
  border: 0;
  background-color: transparent;
  color: #b3b3b3;
  text-transform: uppercase;
  display: table-cell;
  font-size: 1rem;
  padding: 0.325rem 1rem;
  transition: all 250ms ease-in-out;
}
.swap-register > .nav > .btn:hover {
  color: gray;
  border-bottom-color: #d9d9d9;
}
@media (min-width: 78.125em) {
  .swap-register.set-horizontal > .nav {
    width: auto;
  }
  .swap-register.set-horizontal > .mask > .list > .item {
    padding-left: 0;
  }
}
.swap-register.set-vertical {
  display: flex;
  flex-direction: row;
}
.swap-register.set-vertical > .nav {
  display: flex;
  flex-direction: column;
  width: 35%;
}
.swap-register.set-vertical > .mask {
  width: 65%;
}

/*# sourceMappingURL=data:application/json;charset=utf-8,%7B%22version%22:3,%22sourceRoot%22:%22%22,%22sources%22:%5B%22../../system/CrayssnLabs/Base/_resources/scss/components/swap/_basic.scss%22,%22../../system/CrayssnLabs/Base/_resources/scss/utilities/mixins/_box-sizing.scss%22,%22../../system/CrayssnLabs/Base/_resources/scss/utilities/mixins/_visibility.scss%22,%22../../system/CrayssnLabs/Base/_resources/scss/utilities/mixins/_flex.scss%22,%22../../system/CrayssnLabs/Base/_resources/scss/utilities/mixins/_transform.scss%22,%22../../system/CrayssnLabs/Base/_resources/scss/utilities/mixins/component/_swap.scss%22,%22combined-variables.scss%22,%22compile.scss%22,%22../../system/CrayssnLabs/Base/_resources/scss/utilities/mixins/_transition.scss%22,%22../../system/CrayssnLabs/Base/_resources/scss/utilities/mixins/_mq.scss%22%5D,%22names%22:%5B%5D,%22mappings%22:%22AAUA;EAMG;;AAEA;EAEG;EACA;;AAGH;ECrBA,YAFuB;ED0BpB;;AAGH;AAAA;EEkCA;EACA;EAtBA,SAHkC;EAY/B,SAZgB;EFNhB;EACA;;AAGH;EAEG;;AAGH;EAEG;EACA;;AAEA;EAEG;;AAIN;EEUA;EACA;EChDA,SAT2B;EHkDxB;EACA;;AAGH;EAEG;EACA;EACA;EACA;;AAEA;EI9BH;EACA;EAzBG;;AJ2DG;EAEG;;AAGH;EAEG;;AAQN;EE/BH;EACA;EFiCM;;;AK8SA;EA8DS;;AA5Mf;EAkNY;;AA7TZ;EAkUY;;AAzEN;EA8DS;;AA5Mf;EAkNY;;AA7TZ;EAkUY;;AAzEN;EA8DS;;AA5Mf;EAkNY;;AA7TZ;EAkUY;;AAzEN;EA8DS;;AA5Mf;EAkNY;;AA7TZ;EAkUY;;AAzEN;EA8DS;;AA5Mf;EAkNY;;AA7TZ;EAkUY;;AAlUZ;EHvFA;EACA;EGgaM;EACA;;AA3UN;EHvFA;EACA;EGgaM;EACA;;AA3UN;EHvFA;EACA;EGgaM;EACA;;AA3UN;EHvFA;EACA;EGgaM;EACA;;AA3UN;EHvFA;EACA;EGgaM;EACA;;AA7CM;EAkDN,OCsGiB;EDrGjB,kBCgGW;;ADnJL;EAkDN,OCsGiB;EDrGjB,kBCgGW;;ADnJL;EAkDN,OCsGiB;EDrGjB,kBCgGW;;ADnJL;EAkDN,OCsGiB;EDrGjB,kBCgGW;;ADnJL;EAkDN,OCsGiB;EDrGjB,kBCgGW;;ACrjBjB;EAEG;;AAKA;EAEG;EACA;EACA;EACA;EACA;;AAEA;EAEG;EACA;EACA;;AAGH;EAEG;EACA;EACA;EACA;EACA;;AAEA;EAEG;EACA;EACA;;AAGH;EAEG;;AAMZ;EAEG;;AAEA;EAEG;EACA;EACA;;AAIN;EAEG;EACA;EACA;;AAGH;EAEG,ODwfoB;;ACrfvB;EAEG,qBDof2B;ECnf3B,kBDzEQ;;AC8ER;EAEG;;AAEA;EL9BN;EACA;EKgCS;EACA;;AAON;EAEG;EACA;EACA;EACA;EACA;EACA;EACA;ECnFN,YAPU;;AD6FJ;EAEG;EACA;;AEoJN;EF3IG;IAEG;;EAGH;IAEG;;;AAKT;EJ3HA,SAT2B;EAaxB,gBIyHkC;;AAElC;EJ/HH,SAT2B;EAaxB,gBI6HqC;EAClC;;AAGH;EAEG%22,%22file%22:%22output-66435c4142cdb.css%22%7D */
